| Gtk2Hs | Contents | Index

System.Glib.GValue

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Description

This module implements only the necessities for the GTK binding.

- Everything here is only used by Graphics.UI.Gtk.TreeList.TreeModel and friends.

Synopsis

newtype GValue = GValue (Ptr GValue)
valueInit :: GValue -> GType -> IO ()
valueGetType :: GValue -> IO GType
allocaGValue :: (GValue -> IO b) -> IO b

Documentation
newtype GValue

Constructors

GValue (Ptr GValue) |

valueInit :: GValue -> GType -> IO ()
Clear a GValue.
valueGetType :: GValue -> IO GType
Get the type of the value stored in the GValue
allocaGValue :: (GValue -> IO b) -> IO b
Temporarily allocate a GValue.
Produced by Haddock version 2.4.2